LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions

# OFCApplication Class Reference

This object is driven by OpenSP as it parses the SGML from the ofx file(s) More...

## Public Member Functions
| OFCApplication (LibofxContext *p_libofx_context)
void | startElement (const StartElementEvent &event)
| Callback: Start of an OFX element.
void | endElement (const EndElementEvent &event)
| Callback: End of an OFX element.
void | data (const DataEvent &event)
| Callback: Data from an OFX element.
void | error (const ErrorEvent &event)
| Callback: SGML parse error.
void | openEntityChange (const OpenEntityPtr &para_entity_ptr)
| Callback: Receive internal OpenSP state.
| OFCApplication (LibofxContext *p_libofx_context)
void | startElement (const StartElementEvent &event)
| Callback: Start of an OFX element.
void | endElement (const EndElementEvent &event)
| Callback: End of an OFX element.
void | data (const DataEvent &event)
| Callback: Data from an OFX element.
void | error (const ErrorEvent &event)
| Callback: SGML parse error.
void | openEntityChange (const OpenEntityPtr &para_entity_ptr)
| Callback: Receive internal OpenSP state.

## Detailed Description

This object is driven by OpenSP as it parses the SGML from the ofx file(s)

Definition at line 44 of file ofc_sgml.cpp.

## Member Function Documentation

void OFCApplication::data | ( | const DataEvent & | event | ) | `[inline]`

Callback: Data from an OFX element.

An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data.

Definition at line 282 of file ofc_sgml.cpp.

void OFCApplication::data | ( | const DataEvent & | event | ) | `[inline]`

Callback: Data from an OFX element.

An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data.

Definition at line 282 of file fx-0.9.4/lib/ofc_sgml.cpp.

void OFCApplication::endElement | ( | const EndElementEvent & | event | ) | `[inline]`

Callback: End of an OFX element.

An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file.

Definition at line 210 of file ofc_sgml.cpp.

void OFCApplication::endElement | ( | const EndElementEvent & | event | ) | `[inline]`

Callback: End of an OFX element.

An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file.

Definition at line 210 of file fx-0.9.4/lib/ofc_sgml.cpp.

void OFCApplication::error | ( | const ErrorEvent & | event | ) | `[inline]`

Callback: SGML parse error.

An OpenSP callback, get's called when a parser error has occured.

Definition at line 294 of file ofc_sgml.cpp.

void OFCApplication::error | ( | const ErrorEvent & | event | ) | `[inline]`

Callback: SGML parse error.

An OpenSP callback, get's called when a parser error has occured.

Definition at line 294 of file fx-0.9.4/lib/ofc_sgml.cpp.

void OFCApplication::openEntityChange | ( | const OpenEntityPtr & | para_entity_ptr | ) | `[inline]`

Callback: Receive internal OpenSP state.

An Internal OpenSP callback, used to be able to generate line number.

Definition at line 339 of file ofc_sgml.cpp.

void OFCApplication::openEntityChange | ( | const OpenEntityPtr & | para_entity_ptr | ) | `[inline]`

Callback: Receive internal OpenSP state.

An Internal OpenSP callback, used to be able to generate line number.

Definition at line 339 of file fx-0.9.4/lib/ofc_sgml.cpp.

void OFCApplication::startElement | ( | const StartElementEvent & | event | ) | `[inline]`

Callback: Start of an OFX element.

An OpenSP callback, get's called when the opening tag of an OFX element appears in the file

Definition at line 65 of file ofc_sgml.cpp.

void OFCApplication::startElement | ( | const StartElementEvent & | event | ) | `[inline]`

Callback: Start of an OFX element.

An OpenSP callback, get's called when the opening tag of an OFX element appears in the file

Definition at line 65 of file fx-0.9.4/lib/ofc_sgml.cpp.

The documentation for this class was generated from the following files:

- ofc_sgml.cpp
- fx-0.9.4/lib/ofc_sgml.cpp